import { createApp } from 'vue'
import { createPinia } from 'pinia'
import Aura from '@primeuix/themes/aura'
import PrimeVue from 'primevue/config'

import { router } from './router'
import App from './App.vue'

const pinia = createPinia()
const app = createApp(App)

app
  .use(router)
  .use(pinia)
  .use(PrimeVue, {
    theme: {
      preset: Aura,
      options: {
        darkModeSelector: 'system',
        cssLayer: false,
      },
    },
  })
  .mount('#app')
